#    Lunar Rover Expedition - A fun adventure game.
#    Copyright (C) 2013 Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Importion of modules
import pygame
pygame.init()

from code.classes.Animated_Sprite import Animated_Sprite
from code.other.helpers import load_image


class Lunar_Rover_Control_Panel( Animated_Sprite ):
	"""
	This class represents the control panel of the lunar rover, which the player is controlling.
	"""

	def __init__( self, image_file_names, animation_intervals, top_right_position ):
		"""
		Parameters
			image_file_names	( string, string, ... )
				The filenames of the image to use for this sprite.  They define the animation.
			animation_intervals	( int, int, ... )
				Defines the intervals for the animation.  This defines how long a specific image in an animation lasts.
				5 == 5 frames.
			top_right_position	( int, int ) or [ int, int ]
				The top-right position of the image.
		"""
		super( Lunar_Rover_Control_Panel, self ).__init__( image_file_names, animation_intervals )

		# I store the parameters, as I may need them later on.
		self._top_right_position = top_right_position

		# Positioning the sprite.
		self.rect = self.image.get_rect( topright = self._top_right_position )


	def update( self ):
		"""
		Updates the behaviour of the sprite.
		"""
		self.update_animation()
