#    Lunar Rover Expedition - A fun adventure game.
#    Copyright (C) 2013 Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Importion of modules
import pygame
pygame.init()

from code.classes.Text import Text


class Lunar_Rover_Health( Text ):
	def __init__( self, vehicle_health, vehicle_health_text, center_xy_position, font_size, vehicle_max_health, vehicle_min_health ):

		self._vehicle_health_formatted_text = vehicle_health_text.format( vehicle_health )

		self._center_xy_position = center_xy_position
		self._vehicle_health = vehicle_health
		self._vehicle_health_text = vehicle_health_text
		self._vehicle_max_health = vehicle_max_health
		self._vehicle_min_health = vehicle_min_health

		# Call the constructor of the base class.
		super( Lunar_Rover_Health, self ).__init__( self._vehicle_health_formatted_text, self._center_xy_position, font_size=font_size )


	def update_text( self ):
		self._vehicle_health_formatted_text = self._vehicle_health_text.format( self._vehicle_health )	
		self.update( self._vehicle_health_formatted_text )


	def reduce_health( self, points ):
		"""
		Reduces the health by a certain amount of points.

		Parameters
			points 	int
				The amount by which health should be reduced.
		"""

		if self._vehicle_health >= points:
			self._vehicle_health = int( self._vehicle_health ) - points
		else:
			self._vehicle_health = str( self._vehicle_min_health )


	def increase_health( self, points ):
		"""
		Increases the health by a certain amount of points.

		Parameters
			points	int
				The amount by which the health should be increased.
		"""

		if self._vehicle_health <= self._vehicle_max_health - points:
			self._vehicle_health += points
		else:
			self._vehicle_health = self._vehicle_max_health
			


	def is_defeated( self ):
		"""
		Returns 'True' if the health is at 0 %.
		"""

		if int( self._vehicle_health ) <= self._vehicle_min_health:
			return True
		return False
